Bug Hunting Session
Bug 127927 - Make Writer Character Dialog HIG conform
Summary: Make Writer Character Dialog HIG conform
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.5.0
Keywords:
Depends on: 128742
Blocks: Character-Dialog
  Show dependency treegraph
 
Reported: 2019-10-02 13:15 UTC by andreas_k
Modified: 2019-11-18 07:33 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Character Dialog 01 (249.78 KB, image/png)
2019-10-02 13:15 UTC, andreas_k
Details
Screenshot with the patch applied (60.26 KB, image/png)
2019-10-21 08:57 UTC, Heiko Tietze
Details
Font Effect 02 (50.39 KB, image/png)
2019-10-21 14:56 UTC, andreas_k
Details
Font Tab 01 (39.50 KB, image/png)
2019-10-26 10:48 UTC, andreas_k
Details
Font Effect 03 (42.69 KB, image/png)
2019-10-26 11:32 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-10-02 13:15:16 UTC
Created attachment 154706 [details]
Character Dialog 01

Top Master 
Bottom Proposal 

Tab Font
- Headers are bold

Tab Font Effects
- make Groups with headers according to HIG
- Separate Font Color cause it's not related to something else
- Underline, Strickout, Overline is now group Text Decoration (name come from css)
- Effects are ONLY checkboxes cause you can't configure something

Tab Position
- Spacing on top cause it's more often used than Rotate, Position
- Rotating and Position have now a similar layout (radio buttons vertical align)

Tab Hyperlink
- Small Change Events button is align to Browse
Comment 1 Heiko Tietze 2019-10-08 12:41:55 UTC
Do we add colons to the section headers, eg. "Family:"? Would remove it.

Effects and Relief options are mutually exclusive and require either a dropdown as done or radio buttons, which requires to change some lines of code. Font color dropdown is not aligned with any control below, not a big deal though.

Raise/Lower and Relative font depend on position Super/Subscript above and could be indented. Not sure about Fit to Line. It changes the scaling in case of rotation... and there is no help (CC Olivier).

Events are not related to the target frame so the button shouldn't be right of this input.
Comment 2 Thomas Lendo 2019-10-08 21:31:34 UTC
Font tab, Font Effects tab, Position tab, Hyperlink tab: very good, I like the changes except the things Heiko mentioned in his comment 1.

Effects and Relief options: I find it better to have checkboxes that are greyed out if not available or radio buttons instead of the now available drop-down buttons which makes it hard to see at a glance what options are available for the user.
Comment 3 Cor Nouws 2019-10-09 19:08:38 UTC
> - Effects are ONLY checkboxes cause you can't configure something
Some are exclusive - e.g. Capitals and Small Capitals can't be combined.
Hence the drop down :)

> Tab Hyperlink
> - Small Change Events button is align to Browse
Events is not related to Target Frame. Browse is related to URL.
So it cannot be as in the proposal.

For the rest..  :\
Comment 4 Heiko Tietze 2019-10-10 07:36:55 UTC Comment hidden (off-topic)
Comment 5 Commit Notification 2019-10-18 19:14:48 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63051c011bc490fd8a0d2daf91c8258a438f801f

tdf#127927 Character Dialog hyperlink tab update

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Heiko Tietze 2019-10-21 08:57:04 UTC
Created attachment 155181 [details]
Screenshot with the patch applied

Looks ugly with the two dropdown triangles. AFAIR, Gülsh fixed a similar issue.

Another problem with the dialog are the four checkboxes. They look like related to the control left of it but aren't. At least we should add a section header above and increase the margin to the other section.
Comment 7 andreas_k 2019-10-21 14:14:26 UTC
Do you have an idea for the checkbox header.
Comment 8 Heiko Tietze 2019-10-21 14:28:25 UTC
(In reply to andreas_k from comment #7)
> Do you have an idea for the checkbox header.

Options, Extras, Miscellaneous, Gallimaufry...
Comment 9 andreas_k 2019-10-21 14:56:57 UTC
Created attachment 155201 [details]
Font Effect 02

(In reply to Heiko Tietze from comment #6)

> 
> Another problem with the dialog are the four checkboxes. They look like
> related to the control left of it but aren't. At least we should add a
> section header above and increase the margin to the other section.

The 2 arrow stuff I have to fix, yes but does the layout work like this?
Comment 10 andreas_k 2019-10-21 20:12:10 UTC
(In reply to Thomas Lendo from comment #2)
> Effects and Relief options: I find it better to have checkboxes that are
> greyed out if not available or radio buttons instead of the now available
> drop-down buttons which makes it hard to see at a glance what options are
> available for the user.

me too. Should I open a new bug report to get some radio buttons instead of the drop down menus.
Comment 11 andreas_k 2019-10-21 20:13:34 UTC
(In reply to andreas_k from comment #10)
> me too. Should I open a new bug report to get some radio buttons instead of
> the drop down menus.

Maxim could you change the drop down menus into checkboxes?
Comment 12 Commit Notification 2019-10-26 10:32:58 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d04f044f05b4d13c3c6ea3f33fddd9c05a0ab3ad

tdf#127927 Character dialog update position tab

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 andreas_k 2019-10-26 10:48:09 UTC
Created attachment 155323 [details]
Font Tab 01

change would be to make Family, Style and size horizontal expandable, so that all three elements get the same focus.
Comment 14 andreas_k 2019-10-26 11:32:19 UTC
Created attachment 155324 [details]
Font Effect 03

Heiko if you like to make radio buttons instead of drop down menu here is the patch to work on:
https://gerrit.libreoffice.org/#/c/81052/

In general I would say that it will also work with the dropdown menus cause Outline and Shadow are related to Relief.

However Heiko it would be a pleasure if you can finish the task.
Comment 15 Commit Notification 2019-10-29 22:29:04 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/436100ba320c1835eb6d5eeab838bbf669c3300a

tdf#127927 Character Dialog effect tab update

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Thomas Lendo 2019-11-02 23:54:32 UTC
What about emphasis mark and position options in the Font Effects tab?
Comment 17 Commit Notification 2019-11-03 12:42:59 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/94afefe6ba1bec3285cce6dc567ed2f6f70725a8

tdf#127927 Writer Character Dialog Font Tab update

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2019-11-18 07:33:40 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/52d0027332ecd9ea9d941113c7fbe66ebc3cf48a

tdf#127927 Character Dialog effect preview Alignment

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.